dmint-cli 1.0.0__tar.gz → 1.0.1__tar.gz

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (34) hide show
  1. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/CHANGELOG.md +7 -0
  2. {dmint_cli-1.0.0/src/dmint_cli.egg-info → dmint_cli-1.0.1}/PKG-INFO +5 -5
  3. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/README.md +3 -3
  4. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/pyproject.toml +2 -2
  5. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/version.py +4 -4
  6. {dmint_cli-1.0.0 → dmint_cli-1.0.1/src/dmint_cli.egg-info}/PKG-INFO +5 -5
  7. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli.egg-info/requires.txt +1 -1
  8. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/LICENSE +0 -0
  9. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/MANIFEST.in +0 -0
  10. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/setup.cfg +0 -0
  11. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/setup.py +0 -0
  12. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/__init__.py +0 -0
  13. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/__main__.py +0 -0
  14. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/api.py +0 -0
  15. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/compile_policy.py +0 -0
  16. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/create_mcp_policy.py +0 -0
  17. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/create_policy.py +0 -0
  18. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/errors.py +0 -0
  19. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/install_skill.py +0 -0
  20. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/io_utils.py +0 -0
  21. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/limits.py +0 -0
  22. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/mcp_auth.py +0 -0
  23. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/mcp_connections.py +0 -0
  24. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/mcp_credentials.py +0 -0
  25. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/mcp_oauth.py +0 -0
  26. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/prompts/__init__.py +0 -0
  27. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/prompts/policy_skill.md +0 -0
  28. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/skills/__init__.py +0 -0
  29. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/skills/dmint-policy-manager/SKILL.md +0 -0
  30. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli/verify_policy.py +0 -0
  31. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli.egg-info/SOURCES.txt +0 -0
  32. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli.egg-info/dependency_links.txt +0 -0
  33. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli.egg-info/entry_points.txt +0 -0
  34. {dmint_cli-1.0.0 → dmint_cli-1.0.1}/src/dmint_cli.egg-info/top_level.txt +0 -0
@@ -5,6 +5,13 @@ All notable changes to `dmint-cli` will be documented in this file.
5
5
  The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
6
6
  and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
7
7
 
8
+ ## [1.0.1] - 2026-09-16
9
+
10
+ ### Changed
11
+ - Bump patch version to work around PyPI filename reuse restriction on `dmint-cli-1.0.0`.
12
+ No functional or security changes from 1.0.0.
13
+ - Update dmint core dependency pin to `>=1.0.0,<2.0.0` following the dmint v1.0.0 release.
14
+
8
15
  ## [1.0.0] - 2026-09-16
9
16
 
10
17
  ### Security & Hardening
@@ -1,6 +1,6 @@
1
1
  Metadata-Version: 2.4
2
2
  Name: dmint-cli
3
- Version: 1.0.0
3
+ Version: 1.0.1
4
4
  Summary: CLI tooling for Dmint policy creation, compilation, and management
5
5
  Author: Dmint Authors
6
6
  License-Expression: Apache-2.0
@@ -17,13 +17,13 @@ Classifier: Topic :: Software Development :: Compilers
17
17
  Requires-Python: >=3.10
18
18
  Description-Content-Type: text/markdown
19
19
  License-File: LICENSE
20
- Requires-Dist: dmint<0.2.0,>=0.1.0
20
+ Requires-Dist: dmint<2.0.0,>=1.0.0
21
21
  Requires-Dist: mcp<3.0.0,>=2.2.0
22
22
  Provides-Extra: test
23
23
  Requires-Dist: pytest>=8.0.0; extra == "test"
24
24
  Dynamic: license-file
25
25
 
26
- # dmint-cli (v1.0.0)
26
+ # dmint-cli (v1.0.1)
27
27
 
28
28
  > **Developer tooling for interactive discovery, authoring, compilation, and offline verification of Dmint security policies and MCP protection artifacts.**
29
29
 
@@ -138,7 +138,7 @@ Verify your installation and version:
138
138
 
139
139
  ```bash
140
140
  dmint --version
141
- # dmint 1.0.0
141
+ # dmint 1.0.1
142
142
  ```
143
143
 
144
144
  ### 3-Step Walkthrough
@@ -322,7 +322,7 @@ When an MCP endpoint responds with `401 Unauthorized` or `403 Forbidden`:
322
322
  1. **RFC 9728 PRM Discovery**: Looks for the `WWW-Authenticate` header and resolves Protected Resource Metadata (PRM) via `/.well-known/oauth-protected-resource`.
323
323
  2. **RFC 8414 AS Discovery**: Resolves the OAuth 2.0 Authorization Server metadata via `/.well-known/oauth-authorization-server`.
324
324
  3. **Issuer Validation**: Enforces RFC 9207 issuer matching to prevent authorization server mix-up attacks.
325
- 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.0"`.
325
+ 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.1"`.
326
326
 
327
327
  ---
328
328
 
@@ -1,4 +1,4 @@
1
- # dmint-cli (v1.0.0)
1
+ # dmint-cli (v1.0.1)
2
2
 
3
3
  > **Developer tooling for interactive discovery, authoring, compilation, and offline verification of Dmint security policies and MCP protection artifacts.**
4
4
 
@@ -113,7 +113,7 @@ Verify your installation and version:
113
113
 
114
114
  ```bash
115
115
  dmint --version
116
- # dmint 1.0.0
116
+ # dmint 1.0.1
117
117
  ```
118
118
 
119
119
  ### 3-Step Walkthrough
@@ -297,7 +297,7 @@ When an MCP endpoint responds with `401 Unauthorized` or `403 Forbidden`:
297
297
  1. **RFC 9728 PRM Discovery**: Looks for the `WWW-Authenticate` header and resolves Protected Resource Metadata (PRM) via `/.well-known/oauth-protected-resource`.
298
298
  2. **RFC 8414 AS Discovery**: Resolves the OAuth 2.0 Authorization Server metadata via `/.well-known/oauth-authorization-server`.
299
299
  3. **Issuer Validation**: Enforces RFC 9207 issuer matching to prevent authorization server mix-up attacks.
300
- 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.0"`.
300
+ 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.1"`.
301
301
 
302
302
  ---
303
303
 
@@ -4,7 +4,7 @@ build-backend = "setuptools.build_meta"
4
4
 
5
5
  [project]
6
6
  name = "dmint-cli"
7
- version = "1.0.0"
7
+ version = "1.0.1"
8
8
  description = "CLI tooling for Dmint policy creation, compilation, and management"
9
9
  readme = "README.md"
10
10
  license = "Apache-2.0"
@@ -25,7 +25,7 @@ classifiers = [
25
25
  "Topic :: Software Development :: Compilers",
26
26
  ]
27
27
  dependencies = [
28
- "dmint>=0.1.0,<0.2.0",
28
+ "dmint>=1.0.0,<2.0.0",
29
29
  "mcp>=2.2.0,<3.0.0",
30
30
  ]
31
31
 
@@ -6,16 +6,16 @@ Single source of truth for package version, User-Agent strings, and client metad
6
6
  from __future__ import annotations
7
7
 
8
8
  # Canonical package version (single source of truth for runtime code)
9
- __version__ = "1.0.0"
9
+ __version__ = "1.0.1"
10
10
 
11
11
 
12
12
  def get_user_agent(component: str | None = None) -> str:
13
13
  """Return the canonical User-Agent header string.
14
14
 
15
15
  Examples:
16
- get_user_agent() -> 'dmint-cli/1.0.0'
17
- get_user_agent('oauth') -> 'dmint-oauth/1.0.0'
18
- get_user_agent('policy-author') -> 'dmint-policy-author/1.0.0'
16
+ get_user_agent() -> 'dmint-cli/1.0.1'
17
+ get_user_agent('oauth') -> 'dmint-oauth/1.0.1'
18
+ get_user_agent('policy-author') -> 'dmint-policy-author/1.0.1'
19
19
  """
20
20
  if component:
21
21
  return f"dmint-{component}/{__version__}"
@@ -1,6 +1,6 @@
1
1
  Metadata-Version: 2.4
2
2
  Name: dmint-cli
3
- Version: 1.0.0
3
+ Version: 1.0.1
4
4
  Summary: CLI tooling for Dmint policy creation, compilation, and management
5
5
  Author: Dmint Authors
6
6
  License-Expression: Apache-2.0
@@ -17,13 +17,13 @@ Classifier: Topic :: Software Development :: Compilers
17
17
  Requires-Python: >=3.10
18
18
  Description-Content-Type: text/markdown
19
19
  License-File: LICENSE
20
- Requires-Dist: dmint<0.2.0,>=0.1.0
20
+ Requires-Dist: dmint<2.0.0,>=1.0.0
21
21
  Requires-Dist: mcp<3.0.0,>=2.2.0
22
22
  Provides-Extra: test
23
23
  Requires-Dist: pytest>=8.0.0; extra == "test"
24
24
  Dynamic: license-file
25
25
 
26
- # dmint-cli (v1.0.0)
26
+ # dmint-cli (v1.0.1)
27
27
 
28
28
  > **Developer tooling for interactive discovery, authoring, compilation, and offline verification of Dmint security policies and MCP protection artifacts.**
29
29
 
@@ -138,7 +138,7 @@ Verify your installation and version:
138
138
 
139
139
  ```bash
140
140
  dmint --version
141
- # dmint 1.0.0
141
+ # dmint 1.0.1
142
142
  ```
143
143
 
144
144
  ### 3-Step Walkthrough
@@ -322,7 +322,7 @@ When an MCP endpoint responds with `401 Unauthorized` or `403 Forbidden`:
322
322
  1. **RFC 9728 PRM Discovery**: Looks for the `WWW-Authenticate` header and resolves Protected Resource Metadata (PRM) via `/.well-known/oauth-protected-resource`.
323
323
  2. **RFC 8414 AS Discovery**: Resolves the OAuth 2.0 Authorization Server metadata via `/.well-known/oauth-authorization-server`.
324
324
  3. **Issuer Validation**: Enforces RFC 9207 issuer matching to prevent authorization server mix-up attacks.
325
- 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.0"`.
325
+ 4. **Dynamic Client Registration**: Performs RFC 7591 Dynamic Client Registration if the server supports it, advertising `client_name="dmint-cli"` and `software_version="1.0.1"`.
326
326
 
327
327
  ---
328
328
 
@@ -1,4 +1,4 @@
1
- dmint<0.2.0,>=0.1.0
1
+ dmint<2.0.0,>=1.0.0
2
2
  mcp<3.0.0,>=2.2.0
3
3
 
4
4
  [test]
File without changes
File without changes
File without changes
File without changes